cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/custom_attributes/f3a8c1d6e2b94a7c8d5e0f1a2b3c4d5e" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"custom_attribute": {
"display_name": "Contract tier (updated)",
"description": "The customer's support contract tier"
}
}'from exsited import build_client
client = build_client()
response = client.custom_attributes.update_custom_attribute(
"f3a8c1d6e2b94a7c8d5e0f1a2b3c4d5e",
{
"custom_attribute": {
"display_name": "Contract tier (updated)",
"description": "The customer's support contract tier",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customAttributes.updateCustomAttribute('f3a8c1d6e2b94a7c8d5e0f1a2b3c4d5e', {
custom_attribute: {display_name: 'Contract tier (updated)', description: "The customer's support contract tier"},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customAttributes->updateCustomAttribute('f3a8c1d6e2b94a7c8d5e0f1a2b3c4d5e', [
'custom_attribute' => [
'display_name' => 'Contract tier (updated)',
'description' => 'The customer\'s support contract tier',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_attributes.custom_attributes_dto.CustomAttributesDto.CustomAttribute;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<CustomAttribute> response = client.customAttributes().updateCustomAttribute(
"f3a8c1d6e2b94a7c8d5e0f1a2b3c4d5e",
Map.of(
"custom_attribute", Map.of(
"display_name", "Contract tier (updated)",
"description", "The customer's support contract tier")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomAttributes.UpdateCustomAttributeAsync(
"f3a8c1d6e2b94a7c8d5e0f1a2b3c4d5e",
new Dictionary<string, object?>
{
["custom_attribute"] = new Dictionary<string, object?>
{
["display_name"] = "Contract tier (updated)",
["description"] = "The customer's support contract tier",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customAttributes.updateCustomAttribute(
'f3a8c1d6e2b94a7c8d5e0f1a2b3c4d5e',
{
'custom_attribute': {
'display_name': 'Contract tier (updated)',
'description': 'The customer\'s support contract tier',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomAttributes().UpdateCustomAttribute(context.Background(), "f3a8c1d6e2b94a7c8d5e0f1a2b3c4d5e", map[string]any{
"custom_attribute": map[string]any{
"display_name": "Contract tier (updated)",
"description": "The customer's support contract tier",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_attribute": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"type": "<string>",
"description": "<string>",
"is_mandatory": true,
"encrypt_data": true,
"unit": "<unknown>",
"uom": "<unknown>",
"min_value": "<unknown>",
"max_value": "<unknown>",
"max_length": 123,
"max_size": "<unknown>",
"include_seconds": "<unknown>",
"time_format": "<unknown>",
"options": [
{
"display_order": 123,
"name": "<string>"
}
],
"use_in": [
{
"associated_account_groups": [
{}
],
"associated_item_groups": [
{}
],
"associated_user_groups": [
{}
],
"enabled": true,
"required": true,
"resource": "<string>",
"unique": true
}
],
"meta_data": "<unknown>",
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"version": 123,
"href": "<string>"
}
}Custom attributes
Update a custom attribute
Changes a custom attribute’s fields and returns the updated attribute.
PATCH
/
custom_attributes
/
{custom_attribute_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/custom_attributes/f3a8c1d6e2b94a7c8d5e0f1a2b3c4d5e" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"custom_attribute": {
"display_name": "Contract tier (updated)",
"description": "The customer's support contract tier"
}
}'from exsited import build_client
client = build_client()
response = client.custom_attributes.update_custom_attribute(
"f3a8c1d6e2b94a7c8d5e0f1a2b3c4d5e",
{
"custom_attribute": {
"display_name": "Contract tier (updated)",
"description": "The customer's support contract tier",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customAttributes.updateCustomAttribute('f3a8c1d6e2b94a7c8d5e0f1a2b3c4d5e', {
custom_attribute: {display_name: 'Contract tier (updated)', description: "The customer's support contract tier"},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customAttributes->updateCustomAttribute('f3a8c1d6e2b94a7c8d5e0f1a2b3c4d5e', [
'custom_attribute' => [
'display_name' => 'Contract tier (updated)',
'description' => 'The customer\'s support contract tier',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_attributes.custom_attributes_dto.CustomAttributesDto.CustomAttribute;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<CustomAttribute> response = client.customAttributes().updateCustomAttribute(
"f3a8c1d6e2b94a7c8d5e0f1a2b3c4d5e",
Map.of(
"custom_attribute", Map.of(
"display_name", "Contract tier (updated)",
"description", "The customer's support contract tier")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomAttributes.UpdateCustomAttributeAsync(
"f3a8c1d6e2b94a7c8d5e0f1a2b3c4d5e",
new Dictionary<string, object?>
{
["custom_attribute"] = new Dictionary<string, object?>
{
["display_name"] = "Contract tier (updated)",
["description"] = "The customer's support contract tier",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customAttributes.updateCustomAttribute(
'f3a8c1d6e2b94a7c8d5e0f1a2b3c4d5e',
{
'custom_attribute': {
'display_name': 'Contract tier (updated)',
'description': 'The customer\'s support contract tier',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomAttributes().UpdateCustomAttribute(context.Background(), "f3a8c1d6e2b94a7c8d5e0f1a2b3c4d5e", map[string]any{
"custom_attribute": map[string]any{
"display_name": "Contract tier (updated)",
"description": "The customer's support contract tier",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_attribute": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"type": "<string>",
"description": "<string>",
"is_mandatory": true,
"encrypt_data": true,
"unit": "<unknown>",
"uom": "<unknown>",
"min_value": "<unknown>",
"max_value": "<unknown>",
"max_length": 123,
"max_size": "<unknown>",
"include_seconds": "<unknown>",
"time_format": "<unknown>",
"options": [
{
"display_order": 123,
"name": "<string>"
}
],
"use_in": [
{
"associated_account_groups": [
{}
],
"associated_item_groups": [
{}
],
"associated_user_groups": [
{}
],
"enabled": true,
"required": true,
"resource": "<string>",
"unique": true
}
],
"meta_data": "<unknown>",
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"version": 123,
"href": "<string>"
}
}Send the fields to change under
custom_attribute, such as display_name and description. The updated attribute comes back under custom_attribute.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The custom attribute's id, as returned by the listing or the create call.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
The updated custom attribute, under custom_attribute.
Show child attributes
Show child attributes